com.lowagie.text.pdf

## Class PRTokeniser

- java.lang.Object
- - com.lowagie.text.pdf.PRTokeniser

    public class PRTokeniser
    extends java.lang.Object

Author:
  Paulo Soares (psoares@consiste.pt)

### Field Summary

Fields
`static boolean[]` `delims`
`(package private) static java.lang.String` `EMPTY`
`protected RandomAccessFileOrArray` `file`
`protected int` `generation`
`protected boolean` `hexString`
`protected int` `reference`
`protected java.lang.String` `stringValue`
`static int` `TK_COMMENT`
`static int` `TK_END_ARRAY`
`static int` `TK_END_DIC`
`static int` `TK_ENDOFFILE`
`static int` `TK_NAME`
`static int` `TK_NUMBER`
`static int` `TK_OTHER`
`static int` `TK_REF`
`static int` `TK_START_ARRAY`
`static int` `TK_START_DIC`
`static int` `TK_STRING`
`protected int` `type`

### Constructor Summary

Constructors
Constructor and Description
`PRTokeniser(byte[] pdfIn)`
`PRTokeniser(RandomAccessFileOrArray file)`
`PRTokeniser(java.lang.String filename)`

### Method Summary

Methods
`void` `backOnePosition(int ch)`
`void` `checkFdfHeader()`
`static int[]` `checkObjectStart(byte[] line)`
`char` `checkPdfHeader()`
`void` `close()`
`RandomAccessFileOrArray` `getFile()`
`int` `getFilePointer()`
`int` `getGeneration()`
`static int` `getHex(int v)`
`int` `getReference()`
`RandomAccessFileOrArray` `getSafeFile()`
`int` `getStartxref()`
`java.lang.String` `getStringValue()`
`int` `getTokenType()`
`int` `intValue()`
`static boolean` `isDelimiter(int ch)`
`static boolean` `isDelimiterWhitespace(int ch)`
`boolean` `isHexString()`
`static boolean` `isWhitespace(int ch)`
`int` `length()`
`boolean` `nextToken()`
`void` `nextValidToken()`
`int` `read()`
`boolean` `readLineSegment(byte[] input)`
`java.lang.String` `readString(int size)`
`void` `seek(int pos)`
`void` `throwError(java.lang.String error)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TK_NUMBER

    public static final int TK_NUMBER

See Also:
  Constant Field Values

#### TK_STRING

    public static final int TK_STRING

See Also:
  Constant Field Values

#### TK_NAME

    public static final int TK_NAME

See Also:
  Constant Field Values

#### TK_COMMENT

    public static final int TK_COMMENT

See Also:
  Constant Field Values

#### TK_START_ARRAY

    public static final int TK_START_ARRAY

See Also:
  Constant Field Values

#### TK_END_ARRAY

    public static final int TK_END_ARRAY

See Also:
  Constant Field Values

#### TK_START_DIC

    public static final int TK_START_DIC

See Also:
  Constant Field Values

#### TK_END_DIC

    public static final int TK_END_DIC

See Also:
  Constant Field Values

#### TK_REF

    public static final int TK_REF

See Also:
  Constant Field Values

#### TK_OTHER

    public static final int TK_OTHER

See Also:
  Constant Field Values

#### TK_ENDOFFILE

    public static final int TK_ENDOFFILE

See Also:
  Constant Field Values

#### delims

    public static final boolean[] delims

#### EMPTY

    static final java.lang.String EMPTY

See Also:
  Constant Field Values

#### file

    protected RandomAccessFileOrArray file

#### type

    protected int type

#### stringValue

    protected java.lang.String stringValue

#### reference

    protected int reference

#### generation

    protected int generation

#### hexString

    protected boolean hexString

### Constructor Detail

#### PRTokeniser

    public PRTokeniser(java.lang.String filename)
                throws java.io.IOException

Throws:
  `java.io.IOException`

#### PRTokeniser

    public PRTokeniser(byte[] pdfIn)

#### PRTokeniser

    public PRTokeniser(RandomAccessFileOrArray file)

### Method Detail

#### seek

    public void seek(int pos)
              throws java.io.IOException

Throws:
  `java.io.IOException`

#### getFilePointer

    public int getFilePointer()
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### length

    public int length()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### getSafeFile

    public RandomAccessFileOrArray getSafeFile()

#### getFile

    public RandomAccessFileOrArray getFile()

#### readString

    public java.lang.String readString(int size)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### isWhitespace

    public static final boolean isWhitespace(int ch)

#### isDelimiter

    public static final boolean isDelimiter(int ch)

#### isDelimiterWhitespace

    public static final boolean isDelimiterWhitespace(int ch)

#### getTokenType

    public int getTokenType()

#### getStringValue

    public java.lang.String getStringValue()

#### getReference

    public int getReference()

#### getGeneration

    public int getGeneration()

#### backOnePosition

    public void backOnePosition(int ch)

#### throwError

    public void throwError(java.lang.String error)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

#### checkPdfHeader

    public char checkPdfHeader()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### checkFdfHeader

    public void checkFdfHeader()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### getStartxref

    public int getStartxref()
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### getHex

    public static int getHex(int v)

#### nextValidToken

    public void nextValidToken()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### nextToken

    public boolean nextToken()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### intValue

    public int intValue()

#### readLineSegment

    public boolean readLineSegment(byte[] input)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### checkObjectStart

    public static int[] checkObjectStart(byte[] line)

#### isHexString

    public boolean isHexString()